Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class IOSettings

    java.lang.Object
      org.deegree.portal.context.IOSettings

    public class IOSettings

extends Object

Implements the access to the IO settings of a Web Map Context.

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`IOSettings(DirectoryAccess downloadDirectory, DirectoryAccess sLDDirectory, DirectoryAccess printDirectory, DirectoryAccess tempDirectory)`

Method Summary
`DirectoryAccess` | `getDownloadDirectory()`
`DirectoryAccess` | `getPrintDirectory()`
`DirectoryAccess` | `getSLDDirectory()`
`DirectoryAccess` | `getTempDirectory()`
`void` | `setDownloadDirectory(DirectoryAccess downloadDirectory)`
`void` | `setPrintDirectory(DirectoryAccess printDirectory)`
`void` | `setSLDDirectory(DirectoryAccess directory)`
`void` | `setTempDirectory(DirectoryAccess tempDirectory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IOSettings

    IOSettings(DirectoryAccess downloadDirectory,
               DirectoryAccess sLDDirectory,
               DirectoryAccess printDirectory,
               DirectoryAccess tempDirectory)

Parameters:
  `downloadDirectory` - directory to store temoprary files for downloading
  `sLDDirectory` - directory for storing temporary SLD files
  `printDirectory` - directory for storing temporary for print-views

Method Detail

### getDownloadDirectory

    public DirectoryAccess getDownloadDirectory()

  Returns:
    Returns the downloadDirectory.

### setDownloadDirectory

    public void setDownloadDirectory(DirectoryAccess downloadDirectory)

  Parameters:
    `downloadDirectory` - The downloadDirectory to set.

### getPrintDirectory

    public DirectoryAccess getPrintDirectory()

  Returns:
    Returns the printDirectory.

### setPrintDirectory

    public void setPrintDirectory(DirectoryAccess printDirectory)

  Parameters:
    `printDirectory` - The printDirectory to set.

### getSLDDirectory

    public DirectoryAccess getSLDDirectory()

  Returns:
    Returns the sLDDirectory.

### setSLDDirectory

    public void setSLDDirectory(DirectoryAccess directory)

  Parameters:
    `directory` - The sLDDirectory to set.

### getTempDirectory

    public DirectoryAccess getTempDirectory()

  Returns:
    Returns the tempDirectory.

### setTempDirectory

    public void setTempDirectory(DirectoryAccess tempDirectory)

  Parameters:
    `tempDirectory` - The tempDirectory to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org